Raspberry Pi Kernel 5.10.x LE 9.2.x

  • .

    Whilst I appreciate that development is based on LE10 going forward, I believe there is a case for a complete update of the Raspberry Pi 9.2.x family to not only use Kernel 5.10.x but also in regards the 4B update Firmware to support version 1.4 as well as the 400.


    It would be great to close of 9.2 development with one final big bang, especially for users of BCM2835 RPis.


    There is a 4B discussion on the RPi Forum here:


    Issue with Latest Hardware Revision 1.4 for 4B boards - Page 2 - Raspberry Pi Forums

  • Sorry, but this is not going to happen.


    Not only would it be a lot of work (we had to rework kernel/initramfs build process in LE10 for kernel 5.4/5.10 which would all need to be backported) but it would also put us in the same boat as RPiOS with kodi 18 - broken HEVC playback.


    See these unresolved issues:

    Kernel 5.10 - RPI3 - Kodi 18.x does not play HEVC videos anymore · Issue #4112 · raspberrypi/linux · GitHub

    Kernel 5.10 - Kodi does not play HEVC videos anymore · Issue #4380 · raspberrypi/linux · GitHub


    We released LE10 RC1 last weekend and the final release is around the corner so just use that - like many other RPi4 users already do.


    so long,


    Hias

  • Thank you for response and definitive answer, it can be difficult to decide which is either information or mis-information.


    Great work and look forward to LE10 for not only RPi 4B / 400 but also BCM2837 RPis.

    • Official Post

    It would be great to close of 9.2 development with one final big bang, especially for users of BCM2835 RPis.

    To make it clear: RPi 2/3 development is dead on the old kernel, but not in general. Download LE 10.0 nightlies here: Click!

    Make sure to install your first LE 10.0 nightly from scratch. Updating from 9.2.x will break software dependencies.

  • To make it clear: RPi 2/3 development is dead on the old kernel, but not in general. Download LE 10.0 nightlies here: Click!

    Make sure to install your first LE 10.0 nightly from scratch. Updating from 9.2.x will break software dependencies.

    Is the RPi2 Nightly build suitable for the RPi3 as well?
    I have a RPi3 lying around and I would love to use that for the bedroom TV and connect it to the KODI database on my NAS.

    Raspberry 4 connected to Sony AVR with 4k Sony TV and 4k UHD HDR Optoma projector.

    Kodi database and TV-Shows/Movie library running on Netgear ReadyNAS.

  • Yes.

    Thank you. I found out I have a RPi 2 instead of a model 3.

    I'm trying to get the nightly to work but I can't. None of the RPi2 LE10 images boot, not even the official LE9.2.

    I tried installing NOOBS with LE9.2 (which does boot) and then update to LE10, although it's not recommended. What does the noobs nightly do exactly as I see there is no *.img inside the tar archive, just a folder with some stuff



    In other words, how do I update my LE9 NOOBS install to LE10?

    Raspberry 4 connected to Sony AVR with 4k Sony TV and 4k UHD HDR Optoma projector.

    Kodi database and TV-Shows/Movie library running on Netgear ReadyNAS.


  • According to you other post you have a BCM2835 RPi, hence not sure why you posted in this post